(import (awful main))

(module main = (awful main)

  (import scheme awful (chicken base) (chicken format))

  (define (run args)
    (let ((name (member "name" args)))
      (unless name (error "Required argument: name"))
      (page-css (string-append (app-root-path) "css.css"))
      (define-page
        (main-page-path)
        (lambda ()
          (set-page-title! "awful-main example")
          (sprintf "Hi, ~A, I'm using awful-main" (cadr name)))))))
